WSE · Schnittstellen
Reporting
Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.
Reporting
ERP API Dokumentation
Add-on erforderlich: Reporting. Die Nutzung setzt das freigeschaltete Add-on und passende Benutzerberechtigungen voraus.
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/catalog' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "version": 1,
- "datasets": [
- {
- "name": "string",
- "description": "string",
- "keys": [
- "string"
], - "fields": [
- {
- "name": "string",
- "type": "Edm.String",
- "nullable": true,
- "precision": 0,
- "scale": 0,
- "filterable": true,
- "sortable": true,
- "groupable": true,
- "aggregates": [
- "sum"
]
}
], - "required_permissions": [
- "string"
], - "required_license_options": [
- "string"
]
}
], - "default_page_size": 500,
- "max_page_size": 2000,
- "max_filter_depth": 6,
- "max_filter_conditions": 64,
- "comparison_operators": [
- "eq",
- "ne",
- "gt",
- "ge",
- "lt",
- "le"
], - "string_functions": [
- "contains",
- "startswith",
- "endswith",
- "tolower",
- "toupper"
], - "date_granularities": [
- "year",
- "month",
- "day"
]
}Query
Authorizations:
Request Body schema: application/jsonrequired
required | object (QueryDefinition-Input) | ||||||||||||||||||||||||||
| |||||||||||||||||||||||||||
| page_size | integer (Page Size) [ 1 .. 2000 ] Default: 500 | ||||||||||||||||||||||||||
Cursor (string) or Cursor (null) (Cursor) | |||||||||||||||||||||||||||
Any of <= 16384 characters string (Cursor) <= 16384 characters | |||||||||||||||||||||||||||
| include_count | boolean (Include Count) Default: false | ||||||||||||||||||||||||||
Visualization (object) or null | |||||||||||||||||||||||||||
Any of
| |||||||||||||||||||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "page_size": 500,
- "cursor": "string",
- "include_count": false,
- "definition": {
- "version": 1,
- "dataset": "string",
- "select": [
- "string"
], - "filter": {
- "kind": "comparison",
- "operator": "eq",
- "left": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}, - "right": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}
}, - "group_by": [
- {
- "field": "string",
- "granularity": "year",
- "alias": "string"
}
], - "aggregates": [
- {
- "method": "sum",
- "field": "string",
- "alias": "string"
}
], - "order_by": [
- {
- "field": "string",
- "direction": "asc"
}
]
}, - "visualization": {
- "type": "table",
- "category": "string",
- "measures": [
- "string"
], - "series": "string",
- "title": "",
- "category_label": "",
- "value_label": "",
- "orientation": "vertical",
- "fill_missing": false,
- "period_field": "string",
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}
}Response samples
- 200
- 422
- default
{- "reference_date": "2019-08-24",
- "query_revision": 0,
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "columns": [
- {
- "name": "string",
- "type": "Edm.String",
- "nullable": true,
- "precision": 0,
- "scale": 0,
- "filterable": true,
- "sortable": true,
- "groupable": true,
- "aggregates": [
- "sum"
]
}
], - "rows": [
- {
- "property1": "string",
- "property2": "string"
}
], - "next_cursor": "string",
- "count": 0
}List Queries
Authorizations:
query Parameters
After (string) or After (null) (After) | |
| limit | integer (Limit) [ 1 .. 200 ] Default: 50 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/queries?after=497f6eca-6276-4993-bfeb-53cbbbba6f08&limit=50' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "items": [
- {
- "name": "string",
- "description": "string",
- "visibility": "private",
- "definition": {
- "version": 1,
- "dataset": "string",
- "select": [
- "string"
], - "filter": {
- "kind": "comparison",
- "operator": "eq",
- "left": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}, - "right": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}
}, - "group_by": [
- {
- "field": "string",
- "granularity": "year",
- "alias": "string"
}
], - "aggregates": [
- {
- "method": "sum",
- "field": "string",
- "alias": "string"
}
], - "order_by": [
- {
- "field": "string",
- "direction": "asc"
}
]
}, - "visualization": {
- "type": "table",
- "category": "string",
- "measures": [
- "string"
], - "series": "string",
- "title": "",
- "category_label": "",
- "value_label": "",
- "orientation": "vertical",
- "fill_missing": false,
- "period_field": "string",
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067",
- "revision": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
], - "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b"
}Create Query
Authorizations:
Request Body schema: application/jsonrequired
| name required | string (Name) [ 1 .. 200 ] characters \S | ||||||||||||||||||||||||||
required | object (QueryDefinition-Input) | ||||||||||||||||||||||||||
| |||||||||||||||||||||||||||
Description (string) or Description (null) (Description) | |||||||||||||||||||||||||||
Any of <= 2000 characters string (Description) <= 2000 characters | |||||||||||||||||||||||||||
| visibility | string (Visibility) Default: "private" Enum: "private" "shared" | ||||||||||||||||||||||||||
Visualization (object) or null | |||||||||||||||||||||||||||
Any of
| |||||||||||||||||||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "definition": {
- "version": 1,
- "dataset": "string",
- "select": [
- "string"
], - "filter": {
- "kind": "comparison",
- "operator": "eq",
- "left": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}, - "right": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}
}, - "group_by": [
- {
- "field": "string",
- "granularity": "year",
- "alias": "string"
}
], - "aggregates": [
- {
- "method": "sum",
- "field": "string",
- "alias": "string"
}
], - "order_by": [
- {
- "field": "string",
- "direction": "asc"
}
]
}, - "visualization": {
- "type": "table",
- "category": "string",
- "measures": [
- "string"
], - "series": "string",
- "title": "",
- "category_label": "",
- "value_label": "",
- "orientation": "vertical",
- "fill_missing": false,
- "period_field": "string",
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}
}Response samples
- 201
- 422
- default
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "definition": {
- "version": 1,
- "dataset": "string",
- "select": [
- "string"
], - "filter": {
- "kind": "comparison",
- "operator": "eq",
- "left": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}, - "right": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}
}, - "group_by": [
- {
- "field": "string",
- "granularity": "year",
- "alias": "string"
}
], - "aggregates": [
- {
- "method": "sum",
- "field": "string",
- "alias": "string"
}
], - "order_by": [
- {
- "field": "string",
- "direction": "asc"
}
]
}, - "visualization": {
- "type": "table",
- "category": "string",
- "measures": [
- "string"
], - "series": "string",
- "title": "",
- "category_label": "",
- "value_label": "",
- "orientation": "vertical",
- "fill_missing": false,
- "period_field": "string",
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067",
- "revision": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Get Query
Authorizations:
path Parameters
| query_id required | string <uuid> (Query Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "definition": {
- "version": 1,
- "dataset": "string",
- "select": [
- "string"
], - "filter": {
- "kind": "comparison",
- "operator": "eq",
- "left": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}, - "right": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}
}, - "group_by": [
- {
- "field": "string",
- "granularity": "year",
- "alias": "string"
}
], - "aggregates": [
- {
- "method": "sum",
- "field": "string",
- "alias": "string"
}
], - "order_by": [
- {
- "field": "string",
- "direction": "asc"
}
]
}, - "visualization": {
- "type": "table",
- "category": "string",
- "measures": [
- "string"
], - "series": "string",
- "title": "",
- "category_label": "",
- "value_label": "",
- "orientation": "vertical",
- "fill_missing": false,
- "period_field": "string",
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067",
- "revision": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Update Query
Authorizations:
path Parameters
| query_id required | string <uuid> (Query Id) |
Request Body schema: application/jsonrequired
| name required | string (Name) [ 1 .. 200 ] characters \S | ||||||||||||||||||||||||||
required | object (QueryDefinition-Input) | ||||||||||||||||||||||||||
| |||||||||||||||||||||||||||
| revision required | integer (Revision) >= 1 | ||||||||||||||||||||||||||
Description (string) or Description (null) (Description) | |||||||||||||||||||||||||||
Any of <= 2000 characters string (Description) <= 2000 characters | |||||||||||||||||||||||||||
| visibility | string (Visibility) Default: "private" Enum: "private" "shared" | ||||||||||||||||||||||||||
Visualization (object) or null | |||||||||||||||||||||||||||
Any of
| |||||||||||||||||||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "definition": {
- "version": 1,
- "dataset": "string",
- "select": [
- "string"
], - "filter": {
- "kind": "comparison",
- "operator": "eq",
- "left": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}, - "right": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}
}, - "group_by": [
- {
- "field": "string",
- "granularity": "year",
- "alias": "string"
}
], - "aggregates": [
- {
- "method": "sum",
- "field": "string",
- "alias": "string"
}
], - "order_by": [
- {
- "field": "string",
- "direction": "asc"
}
]
}, - "visualization": {
- "type": "table",
- "category": "string",
- "measures": [
- "string"
], - "series": "string",
- "title": "",
- "category_label": "",
- "value_label": "",
- "orientation": "vertical",
- "fill_missing": false,
- "period_field": "string",
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "revision": 1
}Response samples
- 200
- 422
- default
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "definition": {
- "version": 1,
- "dataset": "string",
- "select": [
- "string"
], - "filter": {
- "kind": "comparison",
- "operator": "eq",
- "left": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}, - "right": {
- "kind": "field",
- "field": "string",
- "transform": "tolower"
}
}, - "group_by": [
- {
- "field": "string",
- "granularity": "year",
- "alias": "string"
}
], - "aggregates": [
- {
- "method": "sum",
- "field": "string",
- "alias": "string"
}
], - "order_by": [
- {
- "field": "string",
- "direction": "asc"
}
]
}, - "visualization": {
- "type": "table",
- "category": "string",
- "measures": [
- "string"
], - "series": "string",
- "title": "",
- "category_label": "",
- "value_label": "",
- "orientation": "vertical",
- "fill_missing": false,
- "period_field": "string",
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067",
- "revision": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Delete Query
Authorizations:
path Parameters
| query_id required | string <uuid> (Query Id) |
query Parameters
| revision required | integer (Revision) >= 1 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/reporting/v1/queries/497f6eca-6276-4993-bfeb-53cbbbba6f08?revision=1' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Execute Saved Query
Authorizations:
path Parameters
| query_id required | string <uuid> (Query Id) |
Request Body schema: application/jsonrequired
| page_size | integer (Page Size) [ 1 .. 2000 ] Default: 500 | ||||||
Cursor (string) or Cursor (null) (Cursor) | |||||||
Any of <= 16384 characters string (Cursor) <= 16384 characters | |||||||
| include_count | boolean (Include Count) Default: false | ||||||
ReportPeriod (object) or null | |||||||
Any of
| |||||||
Period Field (string) or Period Field (null) (Period Field) | |||||||
Any of string (Period Field) ^[A-Za-z_][A-Za-z0-9_]{0,99}$ | |||||||
Reference Date (string) or Reference Date (null) (Reference Date) | |||||||
Any of string <date> (Reference Date) | |||||||
Query Revision (integer) or Query Revision (null) (Query Revision) | |||||||
Any of >= 1 integer (Query Revision) >= 1 | |||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "page_size": 500,
- "cursor": "string",
- "include_count": false,
- "period": {
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "period_field": "string",
- "reference_date": "2019-08-24",
- "query_revision": 1
}Response samples
- 200
- 422
- default
{- "reference_date": "2019-08-24",
- "query_revision": 0,
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "columns": [
- {
- "name": "string",
- "type": "Edm.String",
- "nullable": true,
- "precision": 0,
- "scale": 0,
- "filterable": true,
- "sortable": true,
- "groupable": true,
- "aggregates": [
- "sum"
]
}
], - "rows": [
- {
- "property1": "string",
- "property2": "string"
}
], - "next_cursor": "string",
- "count": 0
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/execution-context' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "reference_date": "2019-08-24"
}List Dashboards
Authorizations:
query Parameters
After (string) or After (null) (After) | |
| limit | integer (Limit) [ 1 .. 200 ] Default: 50 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/dashboards?after=497f6eca-6276-4993-bfeb-53cbbbba6f08&limit=50' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "items": [
- {
- "name": "string",
- "description": "string",
- "visibility": "private",
- "configuration": {
- "version": 1,
- "period": {
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "widgets": [
- {
- "id": "string",
- "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "x": 0,
- "y": 0,
- "w": 6,
- "h": 5,
- "use_dashboard_period": true,
- "period_field": "string"
}
]
}, - "revision": 1,
- "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de",
- "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
], - "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b"
}Create Dashboard
Authorizations:
Request Body schema: application/jsonrequired
| name required | string (Name) [ 1 .. 200 ] characters \S | ||||||
required | object (DashboardConfiguration) | ||||||
| |||||||
Description (string) or Description (null) (Description) | |||||||
Any of <= 2000 characters string (Description) <= 2000 characters | |||||||
| visibility | string (Visibility) Default: "private" Enum: "private" "shared" | ||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "configuration": {
- "version": 1,
- "period": {
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "widgets": [
- {
- "id": "string",
- "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "x": 0,
- "y": 0,
- "w": 6,
- "h": 5,
- "use_dashboard_period": true,
- "period_field": "string"
}
]
}
}Response samples
- 201
- 422
- default
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "configuration": {
- "version": 1,
- "period": {
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "widgets": [
- {
- "id": "string",
- "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "x": 0,
- "y": 0,
- "w": 6,
- "h": 5,
- "use_dashboard_period": true,
- "period_field": "string"
}
]
}, - "revision": 1,
- "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de",
- "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Get Dashboard
Authorizations:
path Parameters
| dashboard_id required | string <uuid> (Dashboard Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "configuration": {
- "version": 1,
- "period": {
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "widgets": [
- {
- "id": "string",
- "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "x": 0,
- "y": 0,
- "w": 6,
- "h": 5,
- "use_dashboard_period": true,
- "period_field": "string"
}
]
}, - "revision": 1,
- "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de",
- "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Update Dashboard
Authorizations:
path Parameters
| dashboard_id required | string <uuid> (Dashboard Id) |
Request Body schema: application/jsonrequired
| name required | string (Name) [ 1 .. 200 ] characters \S | ||||||
required | object (DashboardConfiguration) | ||||||
| |||||||
| revision required | integer (Revision) >= 1 | ||||||
Description (string) or Description (null) (Description) | |||||||
Any of <= 2000 characters string (Description) <= 2000 characters | |||||||
| visibility | string (Visibility) Default: "private" Enum: "private" "shared" | ||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "configuration": {
- "version": 1,
- "period": {
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "widgets": [
- {
- "id": "string",
- "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "x": 0,
- "y": 0,
- "w": 6,
- "h": 5,
- "use_dashboard_period": true,
- "period_field": "string"
}
]
}, - "revision": 1
}Response samples
- 200
- 422
- default
{- "name": "string",
- "description": "string",
- "visibility": "private",
- "configuration": {
- "version": 1,
- "period": {
- "period_start": "2019-08-24",
- "period_end": "2019-08-24",
- "relative_months": 1
}, - "widgets": [
- {
- "id": "string",
- "query_id": "6fa29c22-6bab-424a-859e-a13a5c607e72",
- "x": 0,
- "y": 0,
- "w": 6,
- "h": 5,
- "use_dashboard_period": true,
- "period_field": "string"
}
]
}, - "revision": 1,
- "dashboard_id": "6904cee6-5a01-4acf-92d9-7e185cd226de",
- "owner_actor_id": "3bf288fc-ba48-4ae4-9802-b59cc9a4b067",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Delete Dashboard
Authorizations:
path Parameters
| dashboard_id required | string <uuid> (Dashboard Id) |
query Parameters
| revision required | integer (Revision) >= 1 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/reporting/v1/dashboards/497f6eca-6276-4993-bfeb-53cbbbba6f08?revision=1' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/$metadata' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Customers' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Customers/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Customers Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Customers(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Products' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Products/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Products Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Products(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/ProductGroups' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/ProductGroups/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Productgroups Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/ProductGroups(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Services' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Services/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Services Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Services(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceLifecycle' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceLifecycle/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Servicelifecycle Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceLifecycle(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceProducts' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceProducts/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Serviceproducts Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/ServiceProducts(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingDocuments' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingDocuments/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Billingdocuments Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingDocuments(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingLines' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingLines/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Billinglines Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/BillingLines(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/OpenItems' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/OpenItems/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Openitems Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/OpenItems(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Settlements' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Settlements/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Settlements Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Settlements(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/SettlementAllocations' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/SettlementAllocations/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Settlementallocations Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/SettlementAllocations(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Cashbooks' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Cashbooks/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Cashbooks Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/Cashbooks(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/CashbookEntries' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/CashbookEntries/$count' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Reporting Odata Cashbookentries Get
Authorizations:
path Parameters
| key required | string (Key) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/reporting/v1/odata/CashbookEntries(string)' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}